<?php
/*********************************************************************
*	This file is part of the phpmyleague freeware package.
*	PhpMyLeague 
*	By : Jrme Poulin
*	Website : http://phpmyleague.tuxfamily.org
*	Email : poulinjerome@hotmail.com (DO NOT USE THIS FOR SUPPORT)
*	Support : http://phpmyleague.tuxfamily.org/forums/
*********************************************************************/
/*********************************************************************
*	Filename : print_tables.inc
*	Created by : Jrme Poulin 
*	Last modification : 25-10-2001@Jrme Poulin
*
*	Modif @ 25-10-2001 @ Jrme Poulin 
*		==> Final Modification Before version 1.0.0a release
*
*
*********************************************************************/
/*********************************************************************
*  You can modify this file at your ease, but don't remove any 
*  copyright information !!!  In exchange for this entirely free 
*  scripts, all i'm asking is that you give me credit for it...
*
*  If you are interested in working on phpmyleague to make it even
*  better, i strongly encourage you to join my team.  Of course, i
*  w'ont pay you any money for your work, since i'm not making any 
*  from mine, but everything you do will be credited.
*********************************************************************/
/***********************************************************
*
*	Desc  :  This function is used to print a table using 
*		 Database colors for each column.
*		 Also used specific color for title row
*
*	Input :  2 dimension array.  
*		 Each array line = table line
*		 Each array column = table column
*
*	Output : Prints a centered table 
*		 return false if error occured.
*
***********************************************************/
function print_table($table_content,$title){
	
	//If its the first time that this function is called, retreive colors
	//from database...	
	if (!isset($tbl_color)) $tbl_color = get_table_colors();
	
	$nb_rows = count($table_content);
	$nb_columns = count($table_content[0]);

	if ($nb_rows != 0){
		echo("<p>");
		print_table_header();
		
		//print title!
		print_table_title($title,$nb_columns);
		
		//print titles...
		echo("<TR BGCOLOR=\"" . $tbl_color[title] . "\" ALIGN=\"LEFT\">");
		for($col=0;$col<$nb_columns;$col++){	//print each colomn
			echo("<TD ALIGN=\"CENTER\"><FONT FACE=\"" . $tbl_color[font] . "\" SIZE=\"" . $tbl_color['size'] . "\" COLOR=\"" . $tbl_color['text'] . "\"><B>");
			echo($table_content[0][$col]);
			echo("</B></font></TD>");
		}
		echo("</tr>");
		
		//print each lines...
		for($row=1;$row<$nb_rows;$row++){	//for each lines	
			echo("<tr>");
			for($col=0;$col<$nb_columns;$col++){	// for each cols
				if (($col%2) == 0) $col_color = $tbl_color[even];
				else $col_color = $tbl_color[odd];
				
				echo("<TD BGCOLOR=\"" . $col_color . "\" ALIGN=\"CENTER\" VALIGN=\"MIDDLE\"><FONT FACE=\"" . $tbl_color[font] . "\" SIZE=\"" . $tbl_color['size'] . "\" COLOR=\"" . $tbl_color['text'] . "\">");
				echo($table_content[$row][$col]);
				echo("</font></TD>");
			}	
			echo("</tr>");
		}
		print_table_footer();
		echo("</p>");
	}
	
}
//*********************************************************
// Simply prints the table definition...
//*********************************************************
function print_table_header($width="95%"){
	if (!isset($tbl_color)) $tbl_color = get_table_colors();
	echo("<p><TABLE BORDER=\"0\" WIDTH=\"" . $width . "\" CELLPADDING=\"1\" CELLSPACING=\"0\" ALIGN=\"CENTER\" VALIGN=\"TOP\">");
	echo("<TR><TD BGCOLOR=\"" . $tbl_color[bg] ."\">");
	echo("<TABLE BORDER=\"0\" CELLPADDING=\"1\" CELLSPACING=\"1\" WIDTH=\"100%\">");
}
//*********************************************************
// Simply prints the table end tags...
//*********************************************************
function print_table_footer(){
	echo("</TABLE>");
	echo("</TD></TR></TABLE></P>");
}
//*********************************************************
// Simply prints the table title line...
//*********************************************************
function print_table_title($title,$nb_columns = 2){
	
	if (!isset($tbl_color)) $tbl_color = get_table_colors();
	
	echo("<TR BGCOLOR=\"" . $tbl_color[title] . "\" ALIGN=\"LEFT\">");
	echo("<td colspan=\"" . $nb_columns . "\" ALIGN=\"CENTER\"><b><font size=\"4\">" . $title . "</font><b></td>");
}

//**********************************************************
//	This function gets current table colors 
//	(hardcoded for now, soon to be in database...)
//**********************************************************
function get_table_colors(){
	global $tbl_color;
	return $tbl_color;
}
function print_twodim_table($table_content,$title){

	global $msg_not_submited_yet;
	
	//If its the first time that this function is called, retreive colors
	//from database...	
	if (!isset($tbl_color)) $tbl_color = get_table_colors();
	
	$nb_rows = count($table_content);
	$nb_columns = count($table_content[0]);

	if ($nb_rows != 0){
		echo("<p>");
		print_table_header();
		
		//print title!
		print_table_title($title,$nb_columns);
		
		//print each lines...
		for($row=0;$row<$nb_rows;$row++){	//for each lines	
			echo("<tr>");
		
			echo("<TD BGCOLOR=\"" . $tbl_color[left] . "\" ALIGN=\"right\" VALIGN=\"TOP\" width=\"25%\"><FONT FACE=\"" . $tbl_color[font] . "\" SIZE=\"" . $tbl_color['size'] . "\" COLOR=\"" . $tbl_color['text'] . "\">");
			echo("<b>" . $table_content[$row][0] . " : </b>");
			echo("</font></TD>");
				
			echo("<TD BGCOLOR=\"" . $tbl_color[right] . "\" ALIGN=\"left\" VALIGN=\"MIDDLE\" width=\"75%\"><FONT FACE=\"" . $tbl_color[font] . "\" SIZE=\"" . $tbl_color['size'] . "\" COLOR=\"" . $tbl_color['text'] . "\">");
			if (isset($table_content[$row][1]))
				echo($table_content[$row][1]);
			else
				echo($msg_not_submited_yet);
			echo("</font></TD>");
		
			echo("</tr>");
		}
		print_table_footer();
		echo("</p>");
	}	
}
function print_top_ten_table($lge_type = "mix"){
	print_table_header("75%");
	
	echo("<tr>");
	print_td_odd();
	echo("<center>Single's Top 10 Mix</center>");
	echo("</td>");
	print_td_even();
	echo("<center>Team's Top 10 Mix</center>");
	echo("</td></tr>");
	
	
	echo("<tr>");
	print_td_odd();
	print_top_ten("lge_player_standings_mix","player");
	echo("</td>");
	print_td_even();
	print_top_ten("lge_team_standings_mix","team");
	echo("</td></tr>");
	
	print_table_footer();
}
function print_td_odd(){
	if (!isset($tbl_color)) $tbl_color = get_table_colors();
	echo("<TD BGCOLOR=\"" . $tbl_color[left] . "\" ALIGN=\"LEFT\" VALIGN=\"TOP\"><FONT FACE=\"" . $tbl_color[font] . "\" SIZE=\"" . $tbl_color['size'] . "\" COLOR=\"" . $tbl_color['text'] . "\">");
}
function print_td_even(){
	if (!isset($tbl_color)) $tbl_color = get_table_colors();
	echo("<TD BGCOLOR=\"" . $tbl_color[right] . "\" ALIGN=\"left\" VALIGN=\"TOP\"><FONT FACE=\"" . $tbl_color[font] . "\" SIZE=\"" . $tbl_color['size'] . "\" COLOR=\"" . $tbl_color['text'] . "\">");
}
?>